Bug 194863 - Firefox 33 is not being built as a package in 10-i386
Summary: Firefox 33 is not being built as a package in 10-i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Many People
Assignee: freebsd-gecko (Nobody)
URL:
Keywords: patch-ready
Depends on: 193555 195559
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-06 10:36 UTC by Juan Ramón Molina Menor
Modified: 2014-12-11 02:29 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Ramón Molina Menor 2014-11-06 10:36:32 UTC
It’s been a long time since the Firefox port was updated to version 33, but it is consistently failing for FreeBSD-10 under i386, including the quarterly branch :
http://beefy1.isc.freebsd.org/build.html?mastername=10i386-quarterly&build=2014-11-05_16h05m07s
http://portsmon.freebsd.org/portoverview.py?category=www&portname=firefox&wildcard=

The port is being ignored with this error:
is marked as broken: Cannot build with OPTIMIZED_CFLAGS option due to a clang bug: unset the option or use FAVORITE_COMPILER=gcc in Makefile.local/make.conf
Comment 1 Jan Beich freebsd_committer 2014-11-06 23:11:18 UTC
This a fallout from trying to improve lang/clang3[23] case. To be fixed with Firefox 34.0 update by

https://trillian.chruetertee.ch/freebsd-gecko/changeset/1737
Comment 2 Juan Ramón Molina Menor 2014-11-07 14:08:13 UTC
(In reply to Jan Beich from comment #1)
> This a fallout from trying to improve lang/clang3[23] case. To be fixed with
> Firefox 34.0 update by
> 
> https://trillian.chruetertee.ch/freebsd-gecko/changeset/1737

Thank you!
Comment 3 Jan Beich freebsd_committer 2014-12-11 02:29:57 UTC
Should be fixed since ports r373830.